package com.wechat.model.requestDto;

public class UserInfoDto {
	private String userCode; // 用户code(自增)
	private String userName; // 登录名[手机号-个人/邮箱-企业]（全局唯一）
	private String name; // 用户姓名（个人）/企业名称（企业）
	private String foreignName; // 外文名称
	private String hotelBrand; // 从业酒店品牌code（酒店品牌信息表）
	private String hotelBrandStr; // 从业酒店品牌名称（品牌信息表中不存在的情况下，用户自由填写）
	private String entContacts; // 企业联系人
	private String entPhone; // 企业联系电话
	private String headPortrait; // 头像（存放头像相对存放地址）
	private String email; // 邮箱地址（个人用户）
	private String addrProvince; // 地址-省（中国）
	private String addrCity; // 地址-市（中国）
	private String addrArea; // 地址-区（中国）
	private String phoneCode; // 国家区号码 （手机）
	private String image; // 名片（个人）/营业执照（企业）
	private String identityFlag; // 身份标识[0-个人；1-企业]
	private String vipFlag; // 会员标识[0-非会员；1-会员]
	private String allowFlag; // 登录开关[0-可登录；1-不可登录]
	private String careAbout; // 关注的企业(用户id，逗号分隔)
	private Long fansCount; // 粉丝数
	private String likeList; // 点赞过的资讯id（以逗号分隔）
	private String shareList; // 分享的资讯id（以逗号分隔）
	private String positionList; // 收藏的职位id（以逗号分隔）
	private String positionTitle; // 当前职位头衔
	private String birthday; // 生日
	private double experience; // 行业经验
	private String addDetail;// 工作地点详细地址
	private double addLongitude; // 工作地点-经度
	private double addLatitude; // 工作地点-纬度
	private String website; // 企业官网
	private Integer workExperienceCount;// 履历记录

	private String city;

	private String country;

	private String province;

	private String wechHeadImage;
	
	// 筹开标识
	private String prepareFlag;
	
	// 用户注册时间
	private String createDate;

	public String getUserCode() {
		return userCode;
	}

	public void setUserCode(String userCode) {
		this.userCode = userCode;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getHotelBrand() {
		return hotelBrand;
	}

	public void setHotelBrand(String hotelBrand) {
		this.hotelBrand = hotelBrand;
	}

	public String getHotelBrandStr() {
		return hotelBrandStr;
	}

	public void setHotelBrandStr(String hotelBrandStr) {
		this.hotelBrandStr = hotelBrandStr;
	}

	public String getEntContacts() {
		return entContacts;
	}

	public void setEntContacts(String entContacts) {
		this.entContacts = entContacts;
	}

	public String getEntPhone() {
		return entPhone;
	}

	public void setEntPhone(String entPhone) {
		this.entPhone = entPhone;
	}

	public String getHeadPortrait() {
		return headPortrait;
	}

	public void setHeadPortrait(String headPortrait) {
		this.headPortrait = headPortrait;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	// public String getAddrCountry() {
	// return addrCountry;
	// }
	//
	// public void setAddrCountry(String addrCountry) {
	// this.addrCountry = addrCountry;
	// }

	public String getAddrProvince() {
		return addrProvince;
	}

	public void setAddrProvince(String addrProvince) {
		this.addrProvince = addrProvince;
	}

	public String getAddrCity() {
		return addrCity;
	}

	public void setAddrCity(String addrCity) {
		this.addrCity = addrCity;
	}

	public String getAddrArea() {
		return addrArea;
	}

	public void setAddrArea(String addrArea) {
		this.addrArea = addrArea;
	}

	public String getPhoneCode() {
		return phoneCode;
	}

	public void setPhoneCode(String phoneCode) {
		this.phoneCode = phoneCode;
	}

	public String getImage() {
		return image;
	}

	public void setImage(String image) {
		this.image = image;
	}

	public String getIdentityFlag() {
		return identityFlag;
	}

	public void setIdentityFlag(String identityFlag) {
		this.identityFlag = identityFlag;
	}

	public String getVipFlag() {
		return vipFlag;
	}

	public void setVipFlag(String vipFlag) {
		this.vipFlag = vipFlag;
	}

	public String getAllowFlag() {
		return allowFlag;
	}

	public void setAllowFlag(String allowFlag) {
		this.allowFlag = allowFlag;
	}

	public String getCareAbout() {
		return careAbout;
	}

	public void setCareAbout(String careAbout) {
		this.careAbout = careAbout;
	}

	public Long getFansCount() {
		return fansCount;
	}

	public void setFansCount(Long fansCount) {
		this.fansCount = fansCount;
	}

	public String getLikeList() {
		return likeList;
	}

	public void setLikeList(String likeList) {
		this.likeList = likeList;
	}

	public String getShareList() {
		return shareList;
	}

	public void setShareList(String shareList) {
		this.shareList = shareList;
	}

	public String getPositionList() {
		return positionList;
	}

	public void setPositionList(String positionList) {
		this.positionList = positionList;
	}

	public String getPositionTitle() {
		return positionTitle;
	}

	public void setPositionTitle(String positionTitle) {
		this.positionTitle = positionTitle;
	}

	public String getBirthday() {
		return birthday;
	}

	public void setBirthday(String birthday) {
		this.birthday = birthday;
	}

	public double getExperience() {
		return experience;
	}

	public void setExperience(double experience) {
		this.experience = experience;
	}

	public String getAddDetail() {
		return addDetail;
	}

	public void setAddDetail(String addDetail) {
		this.addDetail = addDetail;
	}

	public double getAddLongitude() {
		return addLongitude;
	}

	public void setAddLongitude(double addLongitude) {
		this.addLongitude = addLongitude;
	}

	public double getAddLatitude() {
		return addLatitude;
	}

	public void setAddLatitude(double addLatitude) {
		this.addLatitude = addLatitude;
	}

	public String getWebsite() {
		return website;
	}

	public void setWebsite(String website) {
		this.website = website;
	}

	public Integer getWorkExperienceCount() {
		return workExperienceCount;
	}

	public void setWorkExperienceCount(Integer workExperienceCount) {
		this.workExperienceCount = workExperienceCount;
	}

	public String getCity() {
		return city;
	}

	public void setCity(String city) {
		this.city = city;
	}

	public String getCountry() {
		return country;
	}

	public void setCountry(String country) {
		this.country = country;
	}

	public String getProvince() {
		return province;
	}

	public void setProvince(String province) {
		this.province = province;
	}

	public String getWechHeadImage() {
		return wechHeadImage;
	}

	public void setWechHeadImage(String wechHeadImage) {
		this.wechHeadImage = wechHeadImage;
	}

	public String getForeignName() {
		return foreignName;
	}

	public void setForeignName(String foreignName) {
		this.foreignName = foreignName;
	}

	public String getCreateDate() {
		return createDate;
	}

	public void setCreateDate(String createDate) {
		this.createDate = createDate;
	}

	public String getPrepareFlag() {
		return prepareFlag;
	}

	public void setPrepareFlag(String prepareFlag) {
		this.prepareFlag = prepareFlag;
	}

}
